/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA.  All rights reserved.
**
** This file is part of an example program for TQt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#include <qapplication.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qsqldatabase.h>
#include <qsqlcursor.h>
#include <qsqlform.h>
#include <qsqlpropertymap.h>
#include "../connection.h"

class CustomEdit : public TQLineEdit
{
    Q_OBJECT
    Q_PROPERTY( TQString upperLine READ upperLine WRITE setUpperLine )
    public:
	CustomEdit( TQWidget *parent=0, const char *name=0 );
	TQString upperLine() const;
	void setUpperLine( const TQString &line );
    public slots:
	void changed( const TQString &line );
    private:
	TQString upperLineText;
};


class FormDialog : public TQDialog
{
    Q_OBJECT
    public:
	FormDialog();
	~FormDialog();
    public slots:
	void save();
    private:
	TQSqlCursor *staffCursor;
	TQSqlForm *sqlForm;
	TQSqlPropertyMap *propMap;
	TQSqlIndex idIndex;
};


